Skip to main content
GET
/
events
/
live
Get Live Events
curl --request GET \
  --url https://api.odds-api.io/v3/events/live
[
  {
    "away": "<string>",
    "awayId": 123,
    "bookmakerCount": 123,
    "date": "<string>",
    "home": "<string>",
    "homeId": 123,
    "id": 123,
    "league": {
      "name": "<string>",
      "slug": "<string>"
    },
    "scores": {
      "away": 123,
      "home": 123,
      "periods": {}
    },
    "sport": {
      "name": "<string>",
      "slug": "<string>"
    },
    "status": "<string>",
    "clock": {
      "minute": 67,
      "playedSeconds": 4023,
      "period": 2,
      "running": true,
      "statusDetail": "2nd half",
      "injuryTime": 4
    }
  }
]

Query Parameters

apiKey
string
required

API key for authentication

sport
string

Sport slug to filter by (e.g. football)

Response

OK

away
string
awayId
integer
bookmakerCount
integer
date
string
home
string
homeId
integer
id
integer
league
object
scores
object
sport
object
status
string
clock
object

Live match clock (live events only; absent when no clock data is available)